"""Test module."""

import bits

def f(x):
    """Test function in a test module."""
    for i in range(x):
        print ("Hello from a function in a module, for the %dth time" % i)

# Save the list of CPUs
cpus = bits.cpus()

# Build a reverse mapping from APIC ID to CPU number
apicid_index = dict([(apicid, i) for (i, apicid) in enumerate(cpus)])

def rdmsr_test():
    """Test the rdmsr function"""
    for cpu in cpus:
        for msr in [0x10, 0x40000000]:
            value = bits.rdmsr(cpu, msr)
            if value is None:
                print "CPU 0x%x MSR 0x%x: GPF" % (cpu, msr)
            else:
                print "CPU 0x%x MSR 0x%x: 0x%x" % (cpu, msr, value)
